%global _empty_manifest_terminate_build 0
%global pypi_name trove_tempest_plugin

Summary:        Tempest plugin for Trove project
Name:           python-trove-tempest-plugin
Version:        2.0.0
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/trove/latest/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Trove is Database as a Service for OpenStack. It’s designed to run entirely on OpenStack, with the goal of allowing users to quickly and easily utilize the features of a relational database without the burden of handling complex administrative tasks. Cloud users and database administrators can provision and manage multiple database instances as needed.


%package -n python3-trove-tempest-plugin
Summary:        Tempest plugin for Trove project
Provides:       python-trove-tempest-plugin
BuildRequires: python3-oslo-service python3-oslotest python3-psycopg2 python3-requests python3-six
BuildRequires: python3-PyMySQL python3-sqlalchemy python3-oslo-config python3-oslo-log python3-oslo-serialization
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip python3-wheel python3-tenacity

Requires: python3-tenacity
Requires: python3-oslotest python3-pbr python3-psycopg2 python3-requests python3-six
Requires: python3-PyMySQL python3-sqlalchemy python3-oslo-config python3-oslo-log python3-oslo-serialization python3-oslo-service

%description -n python3-trove-tempest-plugin
Trove is Database as a Service for OpenStack. It’s designed to run entirely on OpenStack, with the goal of allowing users to quickly and easily utilize the features of a relational database without the burden of handling complex administrative tasks. Cloud users and database administrators can provision and manage multiple database instances as needed.


%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf *requirements.txt

%build
%py3_build

%install
%py3_install


%files -n python3-trove-tempest-plugin
%{python3_sitelib}/*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.0-1
- initial build
